org.apache.xml.utils.res

## Class XResourceBundle

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.apache.xml.utils.res.XResourceBundle

Direct Known Subclasses:
  XResources_cy, XResources_de, XResources_el, XResources_en, XResources_es, XResources_fr, XResources_he, XResources_hy, XResources_it, XResources_ja_JP_A, XResources_ja_JP_HA, XResources_ja_JP_HI, XResources_ja_JP_I, XResources_ka, XResources_ko, XResources_sv, XResources_zh_CN, XResources_zh_TW

    public class XResourceBundle
    extends java.util.ListResourceBundle

The default (english) resource bundle.

Usage:
  **For internal use only**

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.ResourceBundle

`java.util.ResourceBundle.Control`

### Field Summary

Fields
`static java.lang.String` `ERROR_RESOURCES` Error resource constants
`static java.lang.String` `LANG_ADDITIVE` Error resource constants
`static java.lang.String` `LANG_ALPHABET` Error resource constants
`static java.lang.String` `LANG_BUNDLE_NAME` Error resource constants
`static java.lang.String` `LANG_LEFTTORIGHT` Error resource constants
`static java.lang.String` `LANG_MULT_ADD` Error resource constants
`static java.lang.String` `LANG_MULTIPLIER` Error resource constants
`static java.lang.String` `LANG_MULTIPLIER_CHAR` Error resource constants
`static java.lang.String` `LANG_NUM_TABLES` Error resource constants
`static java.lang.String` `LANG_NUMBERGROUPS` Error resource constants
`static java.lang.String` `LANG_NUMBERING` Error resource constants
`static java.lang.String` `LANG_ORIENTATION` Error resource constants
`static java.lang.String` `LANG_RIGHTTOLEFT` Error resource constants
`static java.lang.String` `LANG_TRAD_ALPHABET` Error resource constants
`static java.lang.String` `MULT_FOLLOWS` Error resource constants
`static java.lang.String` `MULT_ORDER` Error resource constants
`static java.lang.String` `MULT_PRECEDES` Error resource constants
`static java.lang.String` `XSLT_RESOURCE` Error resource constants

### Constructor Summary

Constructors
Constructor and Description
`XResourceBundle()`

### Method Summary

Methods
`java.lang.Object[][]` `getContents()` Get the association list.
`static XResourceBundle` `loadResourceBundle(java.lang.String className, java.util.Locale locale)` Return a named ResourceBundle for a particular locale.

### Methods inherited from class java.util.ListResourceBundle

`getKeys, handleGetObject`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR_RESOURCES

    public static final java.lang.String ERROR_RESOURCES

Error resource constants

See Also:
  Constant Field Values

#### XSLT_RESOURCE

    public static final java.lang.String XSLT_RESOURCE

Error resource constants

See Also:
  Constant Field Values

#### LANG_BUNDLE_NAME

    public static final java.lang.String LANG_BUNDLE_NAME

Error resource constants

See Also:
  Constant Field Values

#### MULT_ORDER

    public static final java.lang.String MULT_ORDER

Error resource constants

See Also:
  Constant Field Values

#### MULT_PRECEDES

    public static final java.lang.String MULT_PRECEDES

Error resource constants

See Also:
  Constant Field Values

#### MULT_FOLLOWS

    public static final java.lang.String MULT_FOLLOWS

Error resource constants

See Also:
  Constant Field Values

#### LANG_ORIENTATION

    public static final java.lang.String LANG_ORIENTATION

Error resource constants

See Also:
  Constant Field Values

#### LANG_RIGHTTOLEFT

    public static final java.lang.String LANG_RIGHTTOLEFT

Error resource constants

See Also:
  Constant Field Values

#### LANG_LEFTTORIGHT

    public static final java.lang.String LANG_LEFTTORIGHT

Error resource constants

See Also:
  Constant Field Values

#### LANG_NUMBERING

    public static final java.lang.String LANG_NUMBERING

Error resource constants

See Also:
  Constant Field Values

#### LANG_ADDITIVE

    public static final java.lang.String LANG_ADDITIVE

Error resource constants

See Also:
  Constant Field Values

#### LANG_MULT_ADD

    public static final java.lang.String LANG_MULT_ADD

Error resource constants

See Also:
  Constant Field Values

#### LANG_MULTIPLIER

    public static final java.lang.String LANG_MULTIPLIER

Error resource constants

See Also:
  Constant Field Values

#### LANG_MULTIPLIER_CHAR

    public static final java.lang.String LANG_MULTIPLIER_CHAR

Error resource constants

See Also:
  Constant Field Values

#### LANG_NUMBERGROUPS

    public static final java.lang.String LANG_NUMBERGROUPS

Error resource constants

See Also:
  Constant Field Values

#### LANG_NUM_TABLES

    public static final java.lang.String LANG_NUM_TABLES

Error resource constants

See Also:
  Constant Field Values

#### LANG_ALPHABET

    public static final java.lang.String LANG_ALPHABET

Error resource constants

See Also:
  Constant Field Values

#### LANG_TRAD_ALPHABET

    public static final java.lang.String LANG_TRAD_ALPHABET

Error resource constants

See Also:
  Constant Field Values

### Constructor Detail

#### XResourceBundle

    public XResourceBundle()

### Method Detail

#### loadResourceBundle

    public static final XResourceBundle loadResourceBundle(java.lang.String className,
                                     java.util.Locale locale)
                                                    throws java.util.MissingResourceException

Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().

Parameters:
  `className` - Name of local-specific subclass.
  `locale` - the locale to prefer when searching for the bundle
Throws:
  `java.util.MissingResourceException`

#### getContents

    public java.lang.Object[][] getContents()

Get the association list.

Specified by:
  `getContents` in class `java.util.ListResourceBundle`
Returns:
  The association list.